recogniser.h File Reference

Allows exports to Matveev's 3-manifold recogniser. More...

`#include <string>`
`#include "regina-core.h"`
`#include "triangulation/ntriangulation.h"`

## Namespaces

| regina
| Contains the entire Regina calculation engine.

## Functions

REGINA_API bool | regina::writeRecogniser (const char *filename, NTriangulation &tri)
| Deprecated function that writes the given triangulation to the given file in Matveev's 3-manifold recogniser format. More...
REGINA_API bool | regina::writeRecognizer (const char *filename, NTriangulation &tri)
| Deprecated function that writes the given triangulation to the given file in Matveev's 3-manifold recogniser format. More...

## Detailed Description

Allows exports to Matveev's 3-manifold recogniser.

Deprecated:
  All global functions that were once declared in this file have now been renamed to member functions of NTriangulation.

Copyright © 1999-2014, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@debian.org).